# Swap Widget

The Swap Widget section is a service SquadSwap provides for developers. For those who want to add a swap section to their website, SquadSwap offers an easily integratable widget service. This allows users to swap on the site they are familiar with.

Moreover, you can make the widget fit the theme of your website by adjusting the colors of the widget's sections to suit your website.

In the Fee address section, you need to enter the address where the fee deducted as a result of swap transactions will be deposited. Each time a transaction takes place, a record is created in our database with your fee address. Thanks to the records created, fee fees are deposited to the fee address by SquadSwap at certain intervals. Widget owners receive 0.04% of the swapped tokens.

Once you have set the colors of the widget and entered your fee address, you can copy and integrate the code into your website using the two methods at the bottom of the page.&#x20;

## Installation

Follow the instructions in this page to install and activate the swap widget on your website.

<https://squadswap.com/widget>

Or if it better suites your use case, its possible to integrate the iframe without the sticky button and modal. See below.

```
<iframe 
  src="https://squadswap.com/swap-widget?widgetType=2&inputCurrency=BNB&outputCurrency=0x2d2567DeC25c9795117228aDC7FD58116D2E310C&backgroundColor=%23413d4d&inputColor=%233A3544&highlightColor=%23b39ddb&textColor=%23A6A0BB&darktheme=true&height=800px" 
  title="swap-widget" 
  style="min-width: 500px; height: 592px; transform: scale(0.75); transformOrigin: top left;"
/>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.squadswap.com/platform/developers/swap-widget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
